

function fileloader()
--Loads all fonts into game on launch
	default = love.graphics.getFont()
	TitleFont = love.graphics.newFont("fonts/PrintedCircuitBoard.otf",150)
	SubTitleFont = love.graphics.newFont("fonts/PrintedCircuitBoard.otf",48)
	ParagraphFont = love.graphics.newFont("fonts/PrintedCircuitBoard.otf",32)
	SmallFont = love.graphics.newFont("fonts/PrintedCircuitBoard.otf",20)

	--Loads all images into game on launch
--Entities
	coin_img = love.graphics.newImage("textures/objects/coin.png")
	coin_img_backup = love.graphics.newImage("textures/objects/coin.png")
	heart_img = love.graphics.newImage("textures/objects/heart.png")
	box_img = love.graphics.newImage("textures/objects/box.png")
	enemy_img = love.graphics.newImage("textures/objects/enemy.png")
	enemy_img_backup = love.graphics.newImage("textures/objects/enemy.png")
	player_img = love.graphics.newImage("textures/objects/player.png")
	powerup_img = love.graphics.newImage("textures/objects/power.png")
--Overlays
	god_img = love.graphics.newImage("textures/overlays/god.png")
	speed_img = love.graphics.newImage("textures/overlays/speed.png")
	jump_img = love.graphics.newImage("textures/overlays/jump.png")
	pausedoverlay_img = love.graphics.newImage("textures/overlays/pausedoverlay.png")
--Backdrops
	default_img = love.graphics.newImage("textures/screens/blank.png")
--Buttons
	play_button_img = love.graphics.newImage("textures/buttons/playbutton.png")
	settings_button_img = love.graphics.newImage("textures/buttons/settingsbutton.png")
	quit_button_img = love.graphics.newImage("textures/buttons/quitbutton.png")
	score_button_img = love.graphics.newImage("textures/buttons/highscores.png")
	about_button_img = love.graphics.newImage("textures/buttons/about.png")
	back_button_img = love.graphics.newImage("textures/buttons/backbutton.png")
	resume_button_img = love.graphics.newImage("textures/buttons/resumebutton.png")
	yes_button_img = love.graphics.newImage("textures/buttons/yesbutton.png")
	no_button_img = love.graphics.newImage("textures/buttons/nobutton.png")
	rightarrow_button_img = love.graphics.newImage("textures/buttons/rightarrow.png")
	leftarrow_button_img = love.graphics.newImage("textures/buttons/leftarrow.png")
	controls_button_img = love.graphics.newImage("textures/buttons/controlsbutton.png")

--Loads all sounds into game on launch
--SoundFile Data
	power_snd_source = love.sound.newSoundData("sounds/power.ogg")
	jump_snd_source = love.sound.newSoundData("sounds/jump.ogg")
	hit_snd_source = love.sound.newSoundData("sounds/hit.ogg")
	coin_snd_source = love.sound.newSoundData("sounds/coin.ogg")
	god_hit_snd_source = love.sound.newSoundData("sounds/godhit.ogg")
	button_press_snd_source = love.sound.newSoundData("sounds/buttonpress.ogg")
--Sound Sources
	power_snd = love.audio.newSource(power_snd_source)
	jump_snd = love.audio.newSource(jump_snd_source)
	hit_snd = love.audio.newSource(hit_snd_source)
	coin_snd = love.audio.newSource(coin_snd_source)
	god_hit_snd = love.audio.newSource(god_hit_snd_source)
	button_press_snd = love.audio.newSource(button_press_snd_source)
--Loads all music into game on launch
	--Music to be added...
end