

--Creating player table. Kind of useless really as I use the game_Restart function to handle player stuff
player = {}
player.score = 0
	
function player.Draw()
--Since I made the player so small, I had to filter the "blurryness" out by doing this...
	player_img:setFilter("nearest", "nearest")
		love.graphics.setColor(255,255,255)
--....then scaled him up by a factor of 4 on his width and height
		love.graphics.draw(player_img,player.x,player.y,0,4,4)
--Stop player at game screen boundaries
	if player.x >= 1195 then
		player.x = 1195
	elseif player.x <= 5 then
		player.x = 5
	end
end

function player.Move(dt)
--If the keyboard is enabled then use it for controls
	if keyboard == 1 then
		if love.keyboard.isDown("d") then
			player.xVel = player.speed
		end
		if love.keyboard.isDown("a") then
			player.xVel = -1 * player.speed
		end
		if not (player.state == "jumping" or player.state == "falling") and love.keyboard.isDown("w") then
			love.audio.play(jump_snd)
			player.yVel = player.jumpVel
			player.state = "jumping"
		end
	end
--If the mouse is enabled then use it for controls
	if keyboard == 0 then
		playerPos = love.mouse.getX()
		player.x = playerPos
		if not (player.state == "jumping" or player.state == "falling") and love.mouse.isDown("l") then
			love.audio.play(jump_snd)
			player.yVel = player.jumpVel
			player.state = "jumping"
		end
	end
--Player gravity and movement
	player.x = player.x + (player.xVel * dt)
	player.y = player.y + (player.yVel * dt)
	
	player.yVel = player.yVel + (gravity * dt)
end

function player.Checks(dt)
--Only allows saving if keyboard is enabled
	if player.lives <= 0 then
		gamestate = "lost"
		--addScore(highscores, newScore, n)
		if keyboard == 1 then
			endgameSave()
		end
	end
--Checks which gamemode is being used and adjusts extra lives given
	extraLives()
--If Player is touching floor, set playerstate to standing so he can jump again
	if player.y >= groundFloor then
		player.y = groundFloor
		player.yVel = 0
		player.state = "standing"
	end
--Renames the randomly generated number with a string name
	if player.power == 0 then
		player.power_name = "None"
	elseif player.power == 1 then
		player.power_name = "God"
	elseif player.power == 2 then
		player.power_name = "Speed"
	elseif player.power == 3 then
		player.power_name = "Jump"
	elseif player.power == 4 then
		player.power_name = "ExtraCoins"
	end
--Another if statement because this code wouldn't work above for some stupid reason
	if player.power_name == "God" then
		power_last_time = power_last_time - (1 * dt)
	elseif player.power_name == "Speed" then
		power_last_time = power_last_time - (1 * dt)
	elseif player.power_name == "Jump" then
		power_last_time = power_last_time - (1 * dt)
	end
end

function extraLives()
	if gamemode == 0 then
		if player.invisscore >= 20 then
			player.invisscore = 0
			player.lives = player.lives + 1
		end
	elseif gamemode == 1 then
		if player.invisscore >= 23 then
			player.invisscore = 0
			player.lives = player.lives + 1
		end
	end
end